#ifndef INCLUDED_CYFITTER_H
#define INCLUDED_CYFITTER_H
#include <cydevice.h>
#include <cydevice_trm.h>

/* Timer_TimerHW */
#define Timer_TimerHW__CAP0 CYREG_TMR0_CAP0
#define Timer_TimerHW__CAP1 CYREG_TMR0_CAP1
#define Timer_TimerHW__CFG0 CYREG_TMR0_CFG0
#define Timer_TimerHW__CFG1 CYREG_TMR0_CFG1
#define Timer_TimerHW__CNT_CMP0 CYREG_TMR0_CNT_CMP0
#define Timer_TimerHW__CNT_CMP1 CYREG_TMR0_CNT_CMP1
#define Timer_TimerHW__PER0 CYREG_TMR0_PER0
#define Timer_TimerHW__PER1 CYREG_TMR0_PER1
#define Timer_TimerHW__PM_ACT_CFG CYREG_PM_ACT_CFG3
#define Timer_TimerHW__PM_ACT_MSK 0x01u
#define Timer_TimerHW__PM_STBY_CFG CYREG_PM_STBY_CFG3
#define Timer_TimerHW__PM_STBY_MSK 0x01u
#define Timer_TimerHW__RT0 CYREG_TMR0_RT0
#define Timer_TimerHW__RT1 CYREG_TMR0_RT1
#define Timer_TimerHW__SR0 CYREG_TMR0_SR0

/* VDAC8_viDAC8 */
#define VDAC8_viDAC8__CR0 CYREG_DAC3_CR0
#define VDAC8_viDAC8__CR1 CYREG_DAC3_CR1
#define VDAC8_viDAC8__D CYREG_DAC3_D
#define VDAC8_viDAC8__PM_ACT_CFG CYREG_PM_ACT_CFG8
#define VDAC8_viDAC8__PM_ACT_MSK 0x08u
#define VDAC8_viDAC8__PM_STBY_CFG CYREG_PM_STBY_CFG8
#define VDAC8_viDAC8__PM_STBY_MSK 0x08u
#define VDAC8_viDAC8__STROBE CYREG_DAC3_STROBE
#define VDAC8_viDAC8__SW0 CYREG_DAC3_SW0
#define VDAC8_viDAC8__SW2 CYREG_DAC3_SW2
#define VDAC8_viDAC8__SW3 CYREG_DAC3_SW3
#define VDAC8_viDAC8__SW4 CYREG_DAC3_SW4
#define VDAC8_viDAC8__TR CYREG_DAC3_TR
#define VDAC8_viDAC8__TRIM__M1 CYREG_FLSHID_CUST_TABLES_DAC3_M1
#define VDAC8_viDAC8__TRIM__M2 CYREG_FLSHID_CUST_TABLES_DAC3_M2
#define VDAC8_viDAC8__TRIM__M3 CYREG_FLSHID_CUST_TABLES_DAC3_M3
#define VDAC8_viDAC8__TRIM__M4 CYREG_FLSHID_CUST_TABLES_DAC3_M4
#define VDAC8_viDAC8__TRIM__M5 CYREG_FLSHID_CUST_TABLES_DAC3_M5
#define VDAC8_viDAC8__TRIM__M6 CYREG_FLSHID_CUST_TABLES_DAC3_M6
#define VDAC8_viDAC8__TRIM__M7 CYREG_FLSHID_CUST_TABLES_DAC3_M7
#define VDAC8_viDAC8__TRIM__M8 CYREG_FLSHID_CUST_TABLES_DAC3_M8
#define VDAC8_viDAC8__TRIM__TR CYREG_FLSHID_MFG_CFG_DAC3_TR
#define VDAC8_viDAC8__TST CYREG_DAC3_TST

/* Status_Reg */
#define Status_Reg_sts_reg__0__MASK 0x01u
#define Status_Reg_sts_reg__0__POS 0
#define Status_Reg_sts_reg__1__MASK 0x02u
#define Status_Reg_sts_reg__1__POS 1
#define Status_Reg_sts_reg__16BIT_STATUS_AUX_CTL_REG CYREG_B0_UDB02_03_ACTL
#define Status_Reg_sts_reg__16BIT_STATUS_REG CYREG_B0_UDB02_03_ST
#define Status_Reg_sts_reg__2__MASK 0x04u
#define Status_Reg_sts_reg__2__POS 2
#define Status_Reg_sts_reg__3__MASK 0x08u
#define Status_Reg_sts_reg__3__POS 3
#define Status_Reg_sts_reg__4__MASK 0x10u
#define Status_Reg_sts_reg__4__POS 4
#define Status_Reg_sts_reg__5__MASK 0x20u
#define Status_Reg_sts_reg__5__POS 5
#define Status_Reg_sts_reg__6__MASK 0x40u
#define Status_Reg_sts_reg__6__POS 6
#define Status_Reg_sts_reg__7__MASK 0x80u
#define Status_Reg_sts_reg__7__POS 7
#define Status_Reg_sts_reg__MASK 0xFFu
#define Status_Reg_sts_reg__MASK_REG CYREG_B0_UDB02_MSK
#define Status_Reg_sts_reg__STATUS_AUX_CTL_REG CYREG_B0_UDB02_ACTL
#define Status_Reg_sts_reg__STATUS_REG CYREG_B0_UDB02_ST

/* Pin_1 */
#define Pin_1__0__MASK 0x10u
#define Pin_1__0__PC CYREG_PRT3_PC4
#define Pin_1__0__PORT 3
#define Pin_1__0__SHIFT 4
#define Pin_1__AG CYREG_PRT3_AG
#define Pin_1__AMUX CYREG_PRT3_AMUX
#define Pin_1__BIE CYREG_PRT3_BIE
#define Pin_1__BIT_MASK CYREG_PRT3_BIT_MASK
#define Pin_1__BYP CYREG_PRT3_BYP
#define Pin_1__CTL CYREG_PRT3_CTL
#define Pin_1__DM0 CYREG_PRT3_DM0
#define Pin_1__DM1 CYREG_PRT3_DM1
#define Pin_1__DM2 CYREG_PRT3_DM2
#define Pin_1__DR CYREG_PRT3_DR
#define Pin_1__INP_DIS CYREG_PRT3_INP_DIS
#define Pin_1__LCD_COM_SEG CYREG_PRT3_LCD_COM_SEG
#define Pin_1__LCD_EN CYREG_PRT3_LCD_EN
#define Pin_1__PORT 3
#define Pin_1__PRT CYREG_PRT3_PRT
#define Pin_1__PRTDSI__CAPS_SEL CYREG_PRT3_CAPS_SEL
#define Pin_1__PRTDSI__DBL_SYNC_IN CYREG_PRT3_DBL_SYNC_IN
#define Pin_1__PRTDSI__OE_SEL0 CYREG_PRT3_OE_SEL0
#define Pin_1__PRTDSI__OE_SEL1 CYREG_PRT3_OE_SEL1
#define Pin_1__PRTDSI__OUT_SEL0 CYREG_PRT3_OUT_SEL0
#define Pin_1__PRTDSI__OUT_SEL1 CYREG_PRT3_OUT_SEL1
#define Pin_1__PRTDSI__SYNC_OUT CYREG_PRT3_SYNC_OUT
#define Pin_1__PS CYREG_PRT3_PS
#define Pin_1__SLW CYREG_PRT3_SLW

/* DMA */
#define DMA__DRQ_CTL CYREG_IDMUX_DRQ_CTL2
#define DMA__DRQ_NUMBER 10
#define DMA__NUMBEROF_TDS 0
#define DMA__PRIORITY 2
#define DMA__TERMIN_EN 0
#define DMA__TERMIN_SEL 0
#define DMA__TERMOUT0_EN 0
#define DMA__TERMOUT0_SEL 0
#define DMA__TERMOUT1_EN 0
#define DMA__TERMOUT1_SEL 0
#define DMA_CHANNELS_USED__MASK0 0x00000400u

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
#define CYDEV_CHIP_REVISION_5A_ES1 1
#define CYDEV_CHIP_REV_PANTHER_ES1 1
#define CYDEV_CHIP_MEMBER_5A 2
#define CYDEV_CHIP_FAMILY_PSOC5 2
#define CYDEV_CHIP_DIE_PANTHER 2
#define CYDEV_CHIP_DIE_EXPECT CYDEV_CHIP_DIE_PANTHER
#define BCLK__BUS_CLK__HZ 24000000U
#define BCLK__BUS_CLK__KHZ 24000U
#define BCLK__BUS_CLK__MHZ 24U
#define CYDEV_BOOTLOADER_CHECKSUM 0
#define CYDEV_BOOTLOADER_CHECKSUM_BASIC 0
#define CYDEV_BOOTLOADER_CHECKSUM_CRC 1
#define CYDEV_BOOTLOADER_WAIT_COMMAND 1
#define CYDEV_BOOTLOADER_WAIT_TIME 10
#define CYDEV_CHIP_DIE_ACTUAL CYDEV_CHIP_DIE_EXPECT
#define CYDEV_CHIP_DIE_LEOPARD 1
#define CYDEV_CHIP_DIE_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_PSOC3 1
#define CYDEV_CHIP_FAMILY_UNKNOWN 0
#define CYDEV_CHIP_FAMILY_USED CYDEV_CHIP_FAMILY_PSOC5
#define CYDEV_CHIP_JTAG_ID 0x0E13C069
#define CYDEV_CHIP_MEMBER_3A 1
#define CYDEV_CHIP_MEMBER_UNKNOWN 0
#define CYDEV_CHIP_MEMBER_USED CYDEV_CHIP_MEMBER_5A
#define CYDEV_CHIP_REV_EXPECT CYDEV_CHIP_REV_PANTHER_ES1
#define CYDEV_CHIP_REV_LEOPARD_ES1 0
#define CYDEV_CHIP_REV_LEOPARD_ES2 1
#define CYDEV_CHIP_REV_LEOPARD_ES3 3
#define CYDEV_CHIP_REV_LEOPARD_PRODUCTION 3
#define CYDEV_CHIP_REV_PANTHER_ES0 0
#define CYDEV_CHIP_REVISION_3A_ES1 0
#define CYDEV_CHIP_REVISION_3A_ES2 1
#define CYDEV_CHIP_REVISION_3A_ES3 3
#define CYDEV_CHIP_REVISION_3A_PRODUCTION 3
#define CYDEV_CHIP_REVISION_5A_ES0 0
#define CYDEV_CHIP_REVISION_USED CYDEV_CHIP_REVISION_5A_ES1
#define CYDEV_CONFIG_FORCE_ROUTE 0
#define CYDEV_CONFIG_UNUSED_IO 0
#define CYDEV_CONFIGURATION_COMPRESSED 0
#define CYDEV_CONFIGURATION_DMA 1
#define CYDEV_CONFIGURATION_ECC 1
#define CYDEV_CONFIGURATION_IMOENABLED 1
#define CYDEV_CONFIGURATION_MODE 2
#define CYDEV_DATA_CACHE_ENABLED 1
#define CYDEV_DEBUG_ENABLE_MASK 0x01
#define CYDEV_DEBUG_ENABLE_REGISTER CYREG_MLOGIC_DBG_DBE
#define CYDEV_DEBUGGING_DPS 2
#define CYDEV_DEBUGGING_ENABLE 1
#define CYDEV_DEBUGGING_REQXRES 1
#define CYDEV_DEBUGGING_XRES 0
#define CYDEV_ECC_ENABLE 0
#define CYDEV_HEAP_SIZE 4096
#define CYDEV_INSTRUCT_CACHE_ENABLED 1
#define CYDEV_STACK_SIZE 16384
#define CYDEV_VDDA 5.0
#define CYDEV_VDDA_MV 5000
#define CYDEV_VDDD 5.0
#define CYDEV_VDDD_MV 5000
#define CYDEV_VDDIO0 5.0
#define CYDEV_VDDIO0_MV 5000
#define CYDEV_VDDIO1 5.0
#define CYDEV_VDDIO1_MV 5000
#define CYDEV_VDDIO2 5.0
#define CYDEV_VDDIO2_MV 5000
#define CYDEV_VDDIO3 5.0
#define CYDEV_VDDIO3_MV 5000
#define CYDEV_VIO0 5
#define CYDEV_VIO0_MV 5000
#define CYDEV_VIO1 5
#define CYDEV_VIO1_MV 5000
#define CYDEV_VIO2 5
#define CYDEV_VIO2_MV 5000
#define CYDEV_VIO3 5
#define CYDEV_VIO3_MV 5000
#define CYDEV_BOOTLOADER_ENABLE 0

#endif /* INCLUDED_CYFITTER_H */
