.ifndef INCLUDED_CYFITTERGNU_INC
.set INCLUDED_CYFITTERGNU_INC, 1
.include "cydevicegnu.inc"
.include "cydevicegnu_trm.inc"

/* Timer_TimerHW */
.set Timer_TimerHW__CAP0, CYREG_TMR0_CAP0
.set Timer_TimerHW__CAP1, CYREG_TMR0_CAP1
.set Timer_TimerHW__CFG0, CYREG_TMR0_CFG0
.set Timer_TimerHW__CFG1, CYREG_TMR0_CFG1
.set Timer_TimerHW__CNT_CMP0, CYREG_TMR0_CNT_CMP0
.set Timer_TimerHW__CNT_CMP1, CYREG_TMR0_CNT_CMP1
.set Timer_TimerHW__PER0, CYREG_TMR0_PER0
.set Timer_TimerHW__PER1, CYREG_TMR0_PER1
.set Timer_TimerHW__PM_ACT_CFG, CYREG_PM_ACT_CFG3
.set Timer_TimerHW__PM_ACT_MSK, 0x01
.set Timer_TimerHW__PM_STBY_CFG, CYREG_PM_STBY_CFG3
.set Timer_TimerHW__PM_STBY_MSK, 0x01
.set Timer_TimerHW__RT0, CYREG_TMR0_RT0
.set Timer_TimerHW__RT1, CYREG_TMR0_RT1
.set Timer_TimerHW__SR0, CYREG_TMR0_SR0

/* VDAC8_viDAC8 */
.set VDAC8_viDAC8__CR0, CYREG_DAC3_CR0
.set VDAC8_viDAC8__CR1, CYREG_DAC3_CR1
.set VDAC8_viDAC8__D, CYREG_DAC3_D
.set VDAC8_viDAC8__PM_ACT_CFG, CYREG_PM_ACT_CFG8
.set VDAC8_viDAC8__PM_ACT_MSK, 0x08
.set VDAC8_viDAC8__PM_STBY_CFG, CYREG_PM_STBY_CFG8
.set VDAC8_viDAC8__PM_STBY_MSK, 0x08
.set VDAC8_viDAC8__STROBE, CYREG_DAC3_STROBE
.set VDAC8_viDAC8__SW0, CYREG_DAC3_SW0
.set VDAC8_viDAC8__SW2, CYREG_DAC3_SW2
.set VDAC8_viDAC8__SW3, CYREG_DAC3_SW3
.set VDAC8_viDAC8__SW4, CYREG_DAC3_SW4
.set VDAC8_viDAC8__TR, CYREG_DAC3_TR
.set VDAC8_viDAC8__TRIM__M1, CYREG_FLSHID_CUST_TABLES_DAC3_M1
.set VDAC8_viDAC8__TRIM__M2, CYREG_FLSHID_CUST_TABLES_DAC3_M2
.set VDAC8_viDAC8__TRIM__M3, CYREG_FLSHID_CUST_TABLES_DAC3_M3
.set VDAC8_viDAC8__TRIM__M4, CYREG_FLSHID_CUST_TABLES_DAC3_M4
.set VDAC8_viDAC8__TRIM__M5, CYREG_FLSHID_CUST_TABLES_DAC3_M5
.set VDAC8_viDAC8__TRIM__M6, CYREG_FLSHID_CUST_TABLES_DAC3_M6
.set VDAC8_viDAC8__TRIM__M7, CYREG_FLSHID_CUST_TABLES_DAC3_M7
.set VDAC8_viDAC8__TRIM__M8, CYREG_FLSHID_CUST_TABLES_DAC3_M8
.set VDAC8_viDAC8__TRIM__TR, CYREG_FLSHID_MFG_CFG_DAC3_TR
.set VDAC8_viDAC8__TST, CYREG_DAC3_TST

/* Status_Reg */
.set Status_Reg_sts_reg__0__MASK, 0x01
.set Status_Reg_sts_reg__0__POS, 0
.set Status_Reg_sts_reg__1__MASK, 0x02
.set Status_Reg_sts_reg__1__POS, 1
.set Status_Reg_sts_reg__16BIT_STATUS_AUX_CTL_REG, CYREG_B0_UDB02_03_ACTL
.set Status_Reg_sts_reg__16BIT_STATUS_REG, CYREG_B0_UDB02_03_ST
.set Status_Reg_sts_reg__2__MASK, 0x04
.set Status_Reg_sts_reg__2__POS, 2
.set Status_Reg_sts_reg__3__MASK, 0x08
.set Status_Reg_sts_reg__3__POS, 3
.set Status_Reg_sts_reg__4__MASK, 0x10
.set Status_Reg_sts_reg__4__POS, 4
.set Status_Reg_sts_reg__5__MASK, 0x20
.set Status_Reg_sts_reg__5__POS, 5
.set Status_Reg_sts_reg__6__MASK, 0x40
.set Status_Reg_sts_reg__6__POS, 6
.set Status_Reg_sts_reg__7__MASK, 0x80
.set Status_Reg_sts_reg__7__POS, 7
.set Status_Reg_sts_reg__MASK, 0xFF
.set Status_Reg_sts_reg__MASK_REG, CYREG_B0_UDB02_MSK
.set Status_Reg_sts_reg__STATUS_AUX_CTL_REG, CYREG_B0_UDB02_ACTL
.set Status_Reg_sts_reg__STATUS_REG, CYREG_B0_UDB02_ST

/* Pin_1 */
.set Pin_1__0__MASK, 0x10
.set Pin_1__0__PC, CYREG_PRT3_PC4
.set Pin_1__0__PORT, 3
.set Pin_1__0__SHIFT, 4
.set Pin_1__AG, CYREG_PRT3_AG
.set Pin_1__AMUX, CYREG_PRT3_AMUX
.set Pin_1__BIE, CYREG_PRT3_BIE
.set Pin_1__BIT_MASK, CYREG_PRT3_BIT_MASK
.set Pin_1__BYP, CYREG_PRT3_BYP
.set Pin_1__CTL, CYREG_PRT3_CTL
.set Pin_1__DM0, CYREG_PRT3_DM0
.set Pin_1__DM1, CYREG_PRT3_DM1
.set Pin_1__DM2, CYREG_PRT3_DM2
.set Pin_1__DR, CYREG_PRT3_DR
.set Pin_1__INP_DIS, CYREG_PRT3_INP_DIS
.set Pin_1__LCD_COM_SEG, CYREG_PRT3_LCD_COM_SEG
.set Pin_1__LCD_EN, CYREG_PRT3_LCD_EN
.set Pin_1__PORT, 3
.set Pin_1__PRT, CYREG_PRT3_PRT
.set Pin_1__PRTDSI__CAPS_SEL, CYREG_PRT3_CAPS_SEL
.set Pin_1__PRTDSI__DBL_SYNC_IN, CYREG_PRT3_DBL_SYNC_IN
.set Pin_1__PRTDSI__OE_SEL0, CYREG_PRT3_OE_SEL0
.set Pin_1__PRTDSI__OE_SEL1, CYREG_PRT3_OE_SEL1
.set Pin_1__PRTDSI__OUT_SEL0, CYREG_PRT3_OUT_SEL0
.set Pin_1__PRTDSI__OUT_SEL1, CYREG_PRT3_OUT_SEL1
.set Pin_1__PRTDSI__SYNC_OUT, CYREG_PRT3_SYNC_OUT
.set Pin_1__PS, CYREG_PRT3_PS
.set Pin_1__SLW, CYREG_PRT3_SLW

/* DMA */
.set DMA__DRQ_CTL, CYREG_IDMUX_DRQ_CTL2
.set DMA__DRQ_NUMBER, 10
.set DMA__NUMBEROF_TDS, 0
.set DMA__PRIORITY, 2
.set DMA__TERMIN_EN, 0
.set DMA__TERMIN_SEL, 0
.set DMA__TERMOUT0_EN, 0
.set DMA__TERMOUT0_SEL, 0
.set DMA__TERMOUT1_EN, 0
.set DMA__TERMOUT1_SEL, 0
.set DMA_CHANNELS_USED__MASK0, 0x00000400

/* Miscellaneous */
/* -- WARNING: define names containting LEOPARD or PANTHER are deprecated and will be removed in a future release */
.set CYDEV_CHIP_REVISION_5A_ES1, 1
.set CYDEV_CHIP_REV_PANTHER_ES1, 1
.set CYDEV_CHIP_MEMBER_5A, 2
.set CYDEV_CHIP_FAMILY_PSOC5, 2
.set CYDEV_CHIP_DIE_PANTHER, 2
.set CYDEV_CHIP_DIE_EXPECT, CYDEV_CHIP_DIE_PANTHER
.set BCLK__BUS_CLK__HZ, 24000000
.set BCLK__BUS_CLK__KHZ, 24000
.set BCLK__BUS_CLK__MHZ, 24
.set CYDEV_BOOTLOADER_CHECKSUM, 0
.set CYDEV_BOOTLOADER_CHECKSUM_BASIC, 0
.set CYDEV_BOOTLOADER_CHECKSUM_CRC, 1
.set CYDEV_BOOTLOADER_WAIT_COMMAND, 1
.set CYDEV_BOOTLOADER_WAIT_TIME, 10
.set CYDEV_CHIP_DIE_ACTUAL, CYDEV_CHIP_DIE_EXPECT
.set CYDEV_CHIP_DIE_LEOPARD, 1
.set CYDEV_CHIP_DIE_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_PSOC3, 1
.set CYDEV_CHIP_FAMILY_UNKNOWN, 0
.set CYDEV_CHIP_FAMILY_USED, CYDEV_CHIP_FAMILY_PSOC5
.set CYDEV_CHIP_JTAG_ID, 0x0E13C069
.set CYDEV_CHIP_MEMBER_3A, 1
.set CYDEV_CHIP_MEMBER_UNKNOWN, 0
.set CYDEV_CHIP_MEMBER_USED, CYDEV_CHIP_MEMBER_5A
.set CYDEV_CHIP_REV_EXPECT, CYDEV_CHIP_REV_PANTHER_ES1
.set CYDEV_CHIP_REV_LEOPARD_ES1, 0
.set CYDEV_CHIP_REV_LEOPARD_ES2, 1
.set CYDEV_CHIP_REV_LEOPARD_ES3, 3
.set CYDEV_CHIP_REV_LEOPARD_PRODUCTION, 3
.set CYDEV_CHIP_REV_PANTHER_ES0, 0
.set CYDEV_CHIP_REVISION_3A_ES1, 0
.set CYDEV_CHIP_REVISION_3A_ES2, 1
.set CYDEV_CHIP_REVISION_3A_ES3, 3
.set CYDEV_CHIP_REVISION_3A_PRODUCTION, 3
.set CYDEV_CHIP_REVISION_5A_ES0, 0
.set CYDEV_CHIP_REVISION_USED, CYDEV_CHIP_REVISION_5A_ES1
.set CYDEV_CONFIG_FORCE_ROUTE, 0
.set CYDEV_CONFIG_UNUSED_IO, 0
.set CYDEV_CONFIGURATION_COMPRESSED, 0
.set CYDEV_CONFIGURATION_DMA, 1
.set CYDEV_CONFIGURATION_ECC, 1
.set CYDEV_CONFIGURATION_IMOENABLED, 1
.set CYDEV_CONFIGURATION_MODE, 2
.set CYDEV_DATA_CACHE_ENABLED, 1
.set CYDEV_DEBUG_ENABLE_MASK, 0x01
.set CYDEV_DEBUG_ENABLE_REGISTER, CYREG_MLOGIC_DBG_DBE
.set CYDEV_DEBUGGING_DPS, 2
.set CYDEV_DEBUGGING_ENABLE, 1
.set CYDEV_DEBUGGING_REQXRES, 1
.set CYDEV_DEBUGGING_XRES, 0
.set CYDEV_ECC_ENABLE, 0
.set CYDEV_HEAP_SIZE, 4096
.set CYDEV_INSTRUCT_CACHE_ENABLED, 1
.set CYDEV_STACK_SIZE, 16384
.set CYDEV_VDDA_MV, 5000
.set CYDEV_VDDD_MV, 5000
.set CYDEV_VDDIO0_MV, 5000
.set CYDEV_VDDIO1_MV, 5000
.set CYDEV_VDDIO2_MV, 5000
.set CYDEV_VDDIO3_MV, 5000
.set CYDEV_VIO0, 5
.set CYDEV_VIO0_MV, 5000
.set CYDEV_VIO1, 5
.set CYDEV_VIO1_MV, 5000
.set CYDEV_VIO2, 5
.set CYDEV_VIO2_MV, 5000
.set CYDEV_VIO3, 5
.set CYDEV_VIO3_MV, 5000
.set CYDEV_BOOTLOADER_ENABLE, 0
.endif
